| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
GUI_X_FreeRTOS.c File Reference
`#include "GUI.h"`
`#include "FreeRTOS.h"`
`#include "task.h"`
`#include "timers.h"`
`#include "semphr.h"`
`#include "board.h"`

Go to the source code of this file.

## Functions
int | GUI_X_GetTime (void)
void | GUI_X_Delay (int ms)
void | GUI_X_Init (void)
void | GUI_X_ExecIdle (void)
void | GUI_X_InitOS (void)
void | GUI_X_Unlock (void)
void | GUI_X_Lock (void)
U32 | GUI_X_GetTaskId (void)
void | GUI_X_WaitEvent (void)
void | GUI_X_SignalEvent (void)
void | GUI_X_Log (const char *s)
void | GUI_X_Warn (const char *s)
void | GUI_X_ErrorOut (const char *s)

## Variables
static xSemaphoreHandle | xQueueMutex
static xSemaphoreHandle | xSemaTxDone

## Function Documentation

void GUI_X_Delay | ( | int | ms | ) |

Definition at line 66 of file GUI_X_FreeRTOS.c.

void GUI_X_ErrorOut | ( | const char * | s | ) |

Definition at line 168 of file GUI_X_FreeRTOS.c.

void GUI_X_ExecIdle | ( | void |  | ) |

Definition at line 93 of file GUI_X_FreeRTOS.c.

U32 GUI_X_GetTaskId | ( | void |  | ) |

Definition at line 136 of file GUI_X_FreeRTOS.c.

int GUI_X_GetTime | ( | void |  | ) |

Definition at line 61 of file GUI_X_FreeRTOS.c.

void GUI_X_Init | ( | void |  | ) |

Definition at line 81 of file GUI_X_FreeRTOS.c.

void GUI_X_InitOS | ( | void |  | ) |

Definition at line 114 of file GUI_X_FreeRTOS.c.

void GUI_X_Lock | ( | void |  | ) |

Definition at line 130 of file GUI_X_FreeRTOS.c.

void GUI_X_Log | ( | const char * | s | ) |

Definition at line 166 of file GUI_X_FreeRTOS.c.

void GUI_X_SignalEvent | ( | void |  | ) |

Definition at line 147 of file GUI_X_FreeRTOS.c.

void GUI_X_Unlock | ( | void |  | ) |

Definition at line 125 of file GUI_X_FreeRTOS.c.

void GUI_X_WaitEvent | ( | void |  | ) |

Definition at line 141 of file GUI_X_FreeRTOS.c.

void GUI_X_Warn | ( | const char * | s | ) |

Definition at line 167 of file GUI_X_FreeRTOS.c.

## Variable Documentation

xSemaphoreHandle xQueueMutex
| static

Definition at line 47 of file GUI_X_FreeRTOS.c.

xSemaphoreHandle xSemaTxDone
| static

Definition at line 48 of file GUI_X_FreeRTOS.c.